### Method

# Gio SimpleAsyncResult set_check_cancellable

deprecated: 2.46 since: 2.32

#### Declaration

    void
    g_simple_async_result_set_check_cancellable (
      GSimpleAsyncResult* simple,
      GCancellable* check_cancellable
    )

#### Description

Sets a `GCancellable` to check before dispatching results.

This function has one very specific purpose: the provided cancellable is checked at the time of `g_simple_async_result_propagate_error()` If it is cancelled, these functions will return an “Operation was cancelled” error (`G_IO_ERROR_CANCELLED`).

Implementors of cancellable asynchronous functions should use this in order to provide a guarantee to their callers that cancelling an async operation will reliably result in an error being returned for that operation (even if a positive result for the operation has already been sent as an idle to the main context to be dispatched).

The checking described above is done regardless of any call to the unrelated `g_simple_async_result_set_handle_cancellation()` function.

Available since: 2.32

Deprecated since: 2.46

Use `GTask` instead.

#### Parameters

`check_cancellable`

  Type: `GCancellable`

  A `GCancellable` to check, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.